#!/bin/sh

. ./setenv_eai.sh

if [ -z $WORK_DIR ]
then
	echo "### ERROR WORK DIR NOT SET ###"
fi

echo "WORK_DIR: $WORK_DIR"
echo "AXIS JAR ..."
AXIS_JAR=$AXIS_DIST/lib/axis.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-logging.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/commons-discovery.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/saaj.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/jaxrpc.jar
AXIS_JAR=$AXIS_JAR:$AXIS_DIST/lib/wsdl4j.jar
echo "AXIS_JAR: $AXIS_JAR"
CLASSPATH=$CLASSPATH:$AXIS_JAR
echo "CLASSPATH: $CLASSPATH"


echo "***** Compilazione dei File JAVA articolo 2 ..."
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile

if [ -z $JBOSS_DIST ] 
then
        echo "########################"
        echo "### NO JAR EJB JBoss ###"
        echo "########################"
else
        echo "********************************"
        echo "* Costruzione EJB JBoss JAR... *"
        echo "********************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml makejar
fi

if [ -z $TOMCAT_HOME ] 
then
        echo "########################"
        echo "### NO WAR TOMCAT  #####"
        echo "########################"
else
        echo "********************************"
        echo "* Costruzione TOMCAT WAR   ... *"
        echo "********************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml makewar
fi

echo "#############################"
echo "#### CHECK GENERATED DIR ####"
echo "#############################"
export DESTINATION_DIR=$WORK_DIR/generated
if [ ! -d  $DESTINATION_DIR/corba/java ]
then
        mkdir -p $DESTINATION_DIR/corba/java 
        echo "### directory $DESTINATION_DIR/corba/java  creata!"

else
        echo "*** $DESTINATION_DIR/corba/java  esistente..."
fi
if [ ! -d $DESTINATION_DIR/ws/axis ]
then
        mkdir -p $DESTINATION_DIR/ws/axis
        echo "### directory $DESTINATION_DIR/ws/axis  creata!"
else
        echo "*** $DESTINATION_DIR/ws/axis  esistente..."
fi
if [ ! -d $DESTINATION_DIR/ws/dotnet ]
then
        mkdir -p $DESTINATION_DIR/ws/dotnet
        echo "### directory $DESTINATION_DIR/ws/dotnet  creata!"
else
        echo "*** $DESTINATION_DIR/ws/dotnet  esistente..."
fi

echo "#########"
echo "# CORBA #"
echo "#########"


export DESTINATION_DIR=$WORK_DIR/generated
echo "CORBA DESTINATION_DIR= $DESTINATION_DIR"

echo "Compilazione del file IDL ..."
$JAVA_HOME/bin/idlj -i $JAVA_HOME/lib -fall -td  $DESTINATION_DIR/corba/java  $WORK_DIR/interfaces/idl/calcolatrice.idl
echo "... i sorgenti Java sono disponibile nella directory $DESTINATION_DIR ..."
echo "**************************************************************************************"
echo "* Compilazione dei sorgenti CORBA Java in $DESTINATION_DIR ..."
echo "**************************************************************************************"
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-generated-corba
$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-plugin-corba

echo "###############"
echo "# WebServices #"
echo "###############"

if [ -z $AXIS_DIST ] 
then
        echo "##########################"
        echo "### NO AXIS DIST SET #####"
        echo "##########################"
else
        echo "################################"
        echo "# Compilazione per WS AXIS ... #"
        echo "################################"

        $JAVA_HOME/bin/java -cp $CLASSPATH org.apache.axis.wsdl.WSDL2Java -o $DESTINATION_DIR -p ws.axis $WORK_DIR/interfaces/wsdl/axis/AxisCalculatorService.wsdl
        echo "... i sorgenti Java sono disponibile nella directory $DESTINATION_DIR/ws/axis ..."

	echo "********************************************************************************"
        echo "* Compilazione dei sorgenti Java WebServices in $WORK_DIR/generated/ws/axis... *"
	echo "********************************************************************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-generated-ws-axis
        echo "*********************************************************"
        echo "* Compilazione dei sorgenti client e plugin WS AXIS ... *"
        echo "*********************************************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-plugin-axis
        echo "*****************************************"
        echo "* Compilazione dei sorgenti WS AXIS ... *"
        echo "*****************************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-ws-axis

        echo "################################"
        echo "# Compilazione per WS .NET ... #"
        echo "################################"
        $JAVA_HOME/bin/java -cp $CLASSPATH org.apache.axis.wsdl.WSDL2Java -o $DESTINATION_DIR -p ws.dotnet $WORK_DIR/interfaces/wsdl/dotnet/DotNetCalculatorService.wsdl
        echo "... i sorgenti Java sono disponibile nella directory $DESTINATION_DIR/ws/dotnet ..."
	echo "**********************************************************************************"
        echo "* Compilazione dei sorgenti Java WebServices in $WORK_DIR/generated/ws/dotnet... *"
	echo "**********************************************************************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-generated-ws-dotnet
        echo "*********************************************************"
        echo "* Compilazione dei sorgenti client e plugin WS .NET ... *"
        echo "*********************************************************"
	$JAVA_HOME/bin/java -cp $CLASSPATH org.apache.tools.ant.Main -buildfile $WORK_DIR/ant/build.xml compile-plugin-dotnet
fi
	

