// package it.mokabyte.eai.my.client.ws.axis;

// WS Axis static stub
import ws.axis.CalculatorServiceServiceLocator;
import ws.axis.CalculatorService;
 /**
  * <p>Title: MyBusinessDelegate </p>
  * <p>Description: Business Delegate Applicazione A</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public class CalculatorTestClient {

  /**
   * Constructor
   * @throws ServiceLocationException
   */
  public CalculatorTestClient() {
    System.out.println("CalculatorTestClient::CalculatorTestClient: ...");
  }

  /**
    * Usa le classi stub ottenuto dal tool WSDL2Java per invocare un WS AXIS
    * @return lunghezza della stringa ricevuta come parametro
    * @throws BusinessDelegateException
    */
  public void test(String strEndpoint) {
    try{
      System.out.println("CalculatorTestClient.test: ENDPOINT ["+strEndpoint+"]...");
      java.net.URL endpoint = new java.net.URL(strEndpoint);
      System.out.println("MyBusinessDelegate.getLengthByWsAxis: ENDPOINT ["+endpoint+"]...");
      CalculatorService calc=new CalculatorServiceServiceLocator().getMokaCalculatorService(endpoint);
      // CalculatorService calc=new CalculatorServiceServiceLocator().getMokaCalculatorService();
      System.out.println("CalculatorTestClient.test: CalculatorService["+calc+"]...");
      System.out.println("CalculatorTestClient.test: CalculatorService class["+calc.getClass().getName()+"]...");
      int res=calc.getLength(TestClientDefines.PARAMS_CONCATENATED);
      TestClientDefines.displayResult(res);
    }catch(javax.xml.rpc.ServiceException rpce){
      System.out.println("CalculatorTestClient.test: " + rpce.getMessage() );
      rpce.printStackTrace();
    }
    catch(Exception e){
      System.out.println("CalculatorTestClient.test: " + e.getMessage() );
      e.printStackTrace();
    }
  }

  //Main method
  public static void main(String[] args) {
    System.out.println("starting CalculatorTestClient WS AXIS ...");
    new CalculatorTestClient().test(args[0]);
  }
}