// package it.mokabyte.eai.my.client;

import java.io.*;

/**
 * <p>Title: TestClientDefines </p>
 * <p>Description: defines del client di test (Business Delegate & stand-alone)</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author S. Rossini
 * @version 1.0
 */
public class TestClientDefines {

  public static final String PARAM_1 = "Hello";
  public static final String PARAM_2 = "World!";
  public static final String PARAMS_CONCATENATED = "HelloWorld!";
  public static final int LUNGHEZZA = 11;

  private static final String HEADER  = "\n\n\n\t\t";
  private static final String FOOTER = "\n\n\n";

  public static final String SUCCESS = HEADER + " * Success";
  public static final String FAILED  = HEADER + " ##### Failed #######";

  /**
   * Print result del test concatenazione stringa
   * @return
   */
  public static void displayResult(String res){

        if(res.indexOf(PARAMS_CONCATENATED) > -1) {
            System.out.println(SUCCESS+" Concatenation of["+PARAM_1+"] & ["+PARAM_2+"] is ["+res+"]..."+FOOTER);
        }
        else{
            System.out.println(FAILED + " Concatenation of["+PARAM_1+"] & ["+PARAM_2+"] is #NOT# ["+res+"]..."+FOOTER);
        }
  }

 /**
   * Print result del test lunghezza stringa
   * @return
   */
 public static void displayResult(int res){
        if(res==(LUNGHEZZA*2)){
          System.out.println(SUCCESS+" Length of["+PARAMS_CONCATENATED+"] *2 is ["+res+"]..."+FOOTER);
        }
        else{
          System.out.println(FAILED +" Length of["+PARAMS_CONCATENATED+"] *2 is #NOT# ["+res+"]..."+FOOTER);
        }
  }
}