// package it.mokabyte.eai.my.client.ws.dotnet;

// WS .NET/c# static stub
import ws.dotnet.Calculator2Locator;
import ws.dotnet.Calculator2Soap;
 /**
  * <p>Title: MyBusinessDelegate </p>
  * <p>Description: Business Delegate Applicazione A</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public class Calculator2TestClient {

  /**
   * Constructor
   * @throws ServiceLocationException
   */
  public Calculator2TestClient() {
    System.out.println("Calculator2TestClient::CalculatorTestClient: ...");
  }

  /**
    * Usa le classi stub ottenuto dal tool WSDL2Java per invocare il WS Caculator2 .NET
    * @return lunghezza della stringa ricevuta come parametro
    * @throws BusinessDelegateException
    */
  public void test(String strEndpoint){
    	   try{
      	System.out.println("CalculatorTestClient.test: ENDPOINT ["+strEndpoint+"]...");
            java.net.URL endpoint = new java.net.URL(strEndpoint);
           	// Calculator2Soap calc = new Calculator2Locator().getCalculator2Soap();
           	Calculator2Soap calc = new Calculator2Locator().getCalculator2Soap(endpoint);
           	System.out.println("Calculator2TestClient.test: CalculatorService["+calc+"]...");
           	System.out.println("Calculator2TestClient.test: CalculatorService class["+calc.getClass().getName()+"]...");
           	int res=calc.getLength(TestClientDefines.PARAMS_CONCATENATED);
           	TestClientDefines.displayResult(res);
          }catch(javax.xml.rpc.ServiceException rpce){
           System.out.println("CalculatorTestClient.test: " + rpce.getMessage() );
           rpce.printStackTrace();
         }catch(Exception e){
           System.out.println("CalculatorTestClient.test: " + e.getMessage() );
           e.printStackTrace();
         }
  }

  //Main method
  public static void main(String[] args) {
    System.out.println("starting Calculator2TestClient per WS .NET...");
    new Calculator2TestClient().test(args[0]);
  }
}