// file mainClient.cc
// Author: Alberto D'Angeli

#include <CORBA.h>
#include <coss/CosNaming.h>

#include "calcolatrice.h"


using namespace std;

int main(int argc, char* argv[])
{
  try {
    // Initialize the ORB.
    CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);
    // get a reference to the Naming Service root_context
    CosNaming::NamingContext_var rootContext = CosNaming::NamingContext::_narrow(orb->resolve_initial_references("NameService"));

    CosNaming::Name name;
    name.length(2);
    name[0].id = (const char *) "eai";
    name[0].kind = (const char *) "";
    name[1].id = (const char *) "calcolatrice";
    name[1].kind = (const char *) "";

    CORBA::Object_var object = rootContext->resolve(name);

    // Locate a calcolatrice manager . Give the full POA name and the servant ID.
    eai::Calcolatrice_var manager =  eai::Calcolatrice::_narrow(object.in());
    CORBA::String_var msg = "prova123456789";
    cout << " Lunghezza di " << msg.in() << " = " << manager->strlen_calc(msg.in()) << endl;

  }
  catch(const CORBA::Exception& e) {
    cerr << e << endl;
    return 1;
  }

  return 0;
}
