package it.mokabyte.eai.my.client.ejb.wls;

import javax.naming.*;
import java.util.Properties;
import javax.rmi.PortableRemoteObject;

import it.mokabyte.eai.other.ejb.CalculatorHomeIIOP;
import it.mokabyte.eai.other.ejb.CalculatorIIOP;

import it.mokabyte.eai.my.util.PublicLibraries;
/**
 * <p>Title: </p>
 * <p>Description: Semplice client di test dell'EJB Calculator deployato su WLS</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author S. Rossini
 * @version 1.0
 */
public class CalculatorTestClientIIOP {

  public void test(String jndiName) {
    try {
      //get naming context
      Context ctx = new InitialContext();

      PublicLibraries.printContextProperties(ctx);

      PublicLibraries.diplayContextContent(ctx);

      System.out.println("CalculatorTestClientIIOP.test: BEFORE lookup ["+jndiName+"]...");

      //look up jndi name
      Object ref = ctx.lookup(jndiName);

      System.out.println("CalculatorTestClientIIOP.test: Ref[" + ref+"]-class["+ref.getClass().getName()+"]...");

      System.out.println("CalculatorTestClientIIOP.test: BEFORE NARROW ...");

      //cast to Home interface
      Object obj = PortableRemoteObject.narrow(ref, CalculatorHomeIIOP.class);

      System.out.println("CalculatorTestClientIIOP.test: Obj["+obj+"]-class["+obj.getClass().getName()+"]...");

      System.out.println("CalculatorTestClientIIOP.test: BEFORE CAST ...");

      CalculatorHomeIIOP home = (CalculatorHomeIIOP) obj;

      System.out.println("CalculatorTestClientIIOP.test: home["+home+"]-class["+home.getClass().getName()+"]...");

      CalculatorIIOP calculator = home.create();

      System.out.println("CalculatorTestClientIIOP.test: home["+calculator+"]-class["+calculator.getClass().getName()+"]...");

      int res=calculator.getLength(it.mokabyte.eai.my.client.TestClientDefines.PARAMS_CONCATENATED);

      it.mokabyte.eai.my.client.TestClientDefines.displayResult(res);
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  //Main method
  public static void main(String[] args) {
   System.out.println("starting CalculatorTestClientIIOP ...");
   if (args.length == 1) {
     new CalculatorTestClientIIOP().test(args[0]);
   }
   else {
     System.out.println("usage : CalculatorTestClientIIOP <JNDI_NAME>");
   }
 }

}