package it.mokabyte.eai.my.client.ws.dotnet;

import it.mokabyte.eai.my.delegate.CalculatorBusinessDelegate;
import it.mokabyte.eai.my.exception.BusinessDelegateException;
import it.mokabyte.eai.my.util.SimpleTrace;

// WS .NET/c# static stub
import ws.dotnet.CalculatorLocator;
import ws.dotnet.CalculatorSoap;
 /**
  * <p>Title: MyBusinessDelegate </p>
  * <p>Description: Business Delegate Applicazione A</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public class CalculatorTestClient {

  /**
   * Constructor
   * @throws ServiceLocationException
   */
  public CalculatorTestClient() {
    System.out.println("CalculatorTestClient::CalculatorTestClient: ...");
  }

  /**
    * Usa le classi stub ottenuto dal tool WSDL2Java per invocare un WS AXIS
    * @return lunghezza della stringa ricevuta come parametro
    * @throws BusinessDelegateException
    */
  public void test(){
    try{
       /**
         * Usa le classi stub ottenuto dal tool WSDL2Java per invocare un WS .NET
         * @return lunghezza della stringa ricevuta come parametro
         * @throws BusinessDelegateException
         */
            System.out.println("CalculatorTestClient.test: ENDPOINT ["+new CalculatorLocator().getCalculatorSoapAddress()+"]...");
           CalculatorSoap calc = new CalculatorLocator().getCalculatorSoap();
           System.out.println("CalculatorTestClient.test: CalculatorService["+calc+"]...");
           System.out.println("CalculatorTestClient.test: CalculatorService class["+calc.getClass().getName()+"]...");
           int res=calc.getLength(it.mokabyte.eai.my.client.TestClientDefines.PARAMS_CONCATENATED);
           it.mokabyte.eai.my.client.TestClientDefines.displayResult(res);
          }catch(javax.xml.rpc.ServiceException rpce){
           System.out.println("CalculatorTestClient.test: " + rpce.getMessage() );
           rpce.printStackTrace();
         }catch(Exception e){
           System.out.println("CalculatorTestClient.test: " + e.getMessage() );
           e.printStackTrace();
         }
  }

  //Main method
  public static void main(String[] args) {
    System.out.println("starting CalculatorTestClient per WS .NET...");
    new CalculatorTestClient().test();
  }
}