package it.mokabyte.eai.my.config;

import java.io.*;
import java.util.*;
/**
 * <p>Title: ConfiguratorConsole</p>
 * <p>Description: Configurator console</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author S: Rossini
 * @version 1.0
 */
public class ConfiguratorBean implements java.io.Serializable {

  private static final String HOST_DEFAULT_VALUE="localhost";

  public static final String HOST_A="HOST_A";
  public static final String HOST_B="HOST_B";
  public static final String HOST_C="HOST_C";
  public static final String HOST_D="HOST_D";
  public static final String HOST_E="HOST_E";
  public static final String HOST_F="HOST_F";

  private String hosta = HOST_DEFAULT_VALUE;
  private String hostb = HOST_DEFAULT_VALUE;
  private String hostc = HOST_DEFAULT_VALUE;
  private String hostd = HOST_DEFAULT_VALUE;
  private String hoste = HOST_DEFAULT_VALUE;
  private String hostf = HOST_DEFAULT_VALUE;
  /** File name */
  private static final String FILE_NAME="setenv_eai";

  /** User Home */
  private String userHome = null;
  /** Complete file name */
  private String fileName = null;
  /** ROOT path */
  private String rootDir = null;

  /**
   * Default constructor
   */
  public ConfiguratorBean(){

   Properties p = null;
   this.fileName=FILE_NAME+".properties";
   InputStream is = null;

   try{
      System.out.println("ConfiguratorBean: loading ["+this.fileName+"]...");
      is = ClassLoader.getSystemResourceAsStream(this.fileName);
      if(is==null){
        System.out.println("ConfiguratorBean: IS is null, try with ConfiguratorBean.class.getResource ...");
        is =ConfiguratorBean.class.getResourceAsStream(this.fileName); // per Tomcat
      }
      System.out.println("ConfiguratorBean: InputStream ["+is+"]...");
      p = new Properties();
      p.load (is);
      System.out.println("ConfiguratorBean: props["+p+"] read from file prop ...");
      if (p != null) {
        if(p.getProperty("WORK_DIR") != null){
          this.rootDir = p.getProperty("WORK_DIR");
        }
        if(p.getProperty("HOST_A") != null){
          this.hosta = p.getProperty("HOST_A");
        }
        if(p.getProperty("HOST_B") != null){
          this.hostb = p.getProperty("HOST_B");
        }
        if(p.getProperty("HOST_C") != null){
          this.hostc = p.getProperty("HOST_C");
        }
        if(p.getProperty("HOST_D") != null){
          this.hostd = p.getProperty("HOST_D");
        }
        if(p.getProperty("HOST_E") != null){
          this.hoste = p.getProperty("HOST_E");
        }
        if(p.getProperty("HOST_F") != null){
          this.hostf = p.getProperty("HOST_F");
        }
        is.close();
      }
      else{
      System.out.println("ConfiguratorBean: # ERROR # il file["+this.fileName+"] # NON # esiste...");
    }
   }
   catch (Exception e) {
        System.out.println("Configurator: # Exception # :" + e.getMessage());
      }
      finally {
        if (is != null) {
          try {
            is.close();
          }
          catch (Exception e) {}
        }
    }
  }

  public String getHosta() {
    return hosta;
  }
  public String getHostb() {
    return hostb;
  }
  public String getHostc() {
    return hostc;
  }
  public String getHostd() {
    return hostd;
  }
  public String getHoste() {
    return hoste;
  }
  public void setHoste(String hoste) {
    this.hoste = hoste;
  }
  public void setHostd(String hostd) {
    this.hostd = hostd;
  }
  public void setHostc(String hostc) {
    this.hostc = hostc;
  }
  public void setHostb(String hostb) {
    this.hostb = hostb;
  }
  public void setHosta(String hosta) {
    this.hosta = hosta;
  }
  public String toString(){
    return "ConfiguratorBean:"+this.fileName+"-"+this.hosta+"-"+this.hostb+"-"+this.hostc+"-"+this.hostd;
  }
  public String getFileName() {
    return fileName;
  }
  public void setFileName(String fileName) {
    this.fileName = fileName;
  }
  public String getRootDir() {
    return rootDir;
  }
  public void setRootDir(String rootDir) {
    this.rootDir = rootDir;
  }
  public String getHostf() {
    return hostf;
  }
  public void setHostf(String hostf) {
    this.hostf = hostf;
  }
}