package it.mokabyte.eai.my.delegate.corba;

//CORBA
import org.omg.CosNaming.*;
import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

import it.mokabyte.eai.my.delegate.CalculatorBusinessDelegate;
import it.mokabyte.eai.my.exception.BusinessDelegateException;
import it.mokabyte.eai.my.locator.MyServiceLocator;
import it.mokabyte.eai.my.exception.ServiceLocationException;
import it.mokabyte.eai.my.util.Defines;
import it.mokabyte.eai.my.util.SimpleTrace;

// import GENERATED classes
import eai.Calcolatrice;

 /**
  * <p>Title: BusinessDelegateEJBImpl </p>
  * <p>Description: Business Delegate Applicazione A</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public class CalculatorBdCORBAImpl implements CalculatorBusinessDelegate {

   /** Il Remote reference dell'oggetto CORBA */
   private Calcolatrice calculator = null;

   /** L'indice del test da invocare */
    private int testIndex = -1;

  /**
   * Constructor
   * @throws ServiceLocationException
   */
  public CalculatorBdCORBAImpl(java.lang.Object obj) {
    Integer indice = (Integer)obj;
    this.testIndex= indice.intValue();
    SimpleTrace.trace("CalculatorBdCORBAImpl::CalculatorBdCORBAImpl: index["+this.testIndex+"]...");
  }

 /**
  * Richiede il calcolo della lunghezza della stringa
  * param la stringa di cui calcolare la lunghezza
  * @return la lunghezza della stringa param
  * @throws BusinessDelegateException
  */
  public int getLength(String param) throws BusinessDelegateException {

     try {
       if(this.calculator==null){
         System.out.println("CalculatorBdCORBAImpl.getLength: arrivata["+param+"]-TestID["+this.testIndex+"]...");
         java.lang.Object obj = MyServiceLocator.getCorbaRef(this.testIndex);
         this.calculator = (Calcolatrice)obj;
       }
       return this.calculator.strlen_calc(param);

     } catch(Exception e) {
          e.printStackTrace();
          throw new BusinessDelegateException(e);
     }
   }

}