package it.mokabyte.eai.my.delegate.ejb;

// EJB
import javax.ejb.CreateException;
import java.rmi.RemoteException;

import it.mokabyte.eai.my.delegate.CalculatorBusinessDelegate;
import it.mokabyte.eai.my.locator.MyServiceLocator;
import it.mokabyte.eai.my.exception.ServiceLocationException;
import it.mokabyte.eai.my.exception.BusinessDelegateException;
import it.mokabyte.eai.my.util.Defines;
import it.mokabyte.eai.my.util.SimpleTrace;

// Moka includes (Application B)
import it.mokabyte.eai.other.ejb.CalculatorHome;
import it.mokabyte.eai.other.ejb.Calculator;
 /**
  * <p>Title: BusinessDelegateEJBImpl </p>
  * <p>Description: Business Delegate Applicazione A</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public class CalculatorBdEJBImpl implements CalculatorBusinessDelegate {

  /** Il Remote reference dell'EJB Calculator */
  private Calculator calculator = null;

  /**
   * Constructor
   * @throws ServiceLocationException
   */
  public CalculatorBdEJBImpl() {
    SimpleTrace.trace("CalculatorBdEJBImpl::CalculatorBdEJBImpl: ...");
  }

 /**
  * Richiede il calcolo della lunghezza della stringa
  * param la stringa di cui calcolare la lunghezza
  * @return la lunghezza della stringa param
  * @throws BusinessDelegateException
  */
  public int getLength(String param) throws BusinessDelegateException {

    // Delegate to the Calculator EJB
    try {
      if(this.calculator==null){
          it.mokabyte.eai.other.ejb.CalculatorHome homeCalculator = (CalculatorHome)MyServiceLocator.getEjbHome(Defines.SERVICE_CALCULATOR);
          SimpleTrace.trace("MyBusinessDelegate::MyBusinessDelegate : homeCalculator class["+homeCalculator.getClass().getName()+"] ...");
          SimpleTrace.trace("MyBusinessDelegate::MyBusinessDelegate : homeCalculator ["+homeCalculator+"] ...");
          this.calculator = homeCalculator.create();
      }
      SimpleTrace.trace("MyBusinessDelegate.getStringLength: param["+param+"] ...");
      return this.calculator.getLength(param);
    } catch(CreateException ce){
         ce.printStackTrace();
         throw new BusinessDelegateException(ce);
    } catch(ServiceLocationException sle){
         sle.printStackTrace();
         throw new BusinessDelegateException(sle);
    } catch (RemoteException re) {
         re.printStackTrace();
         throw new BusinessDelegateException(re);
    }
  }
}