package it.mokabyte.eai.my.delegate.ws.axis;

import it.mokabyte.eai.my.delegate.CalculatorBusinessDelegate;
import it.mokabyte.eai.my.exception.BusinessDelegateException;
import it.mokabyte.eai.my.locator.MyServiceLocator;
import it.mokabyte.eai.my.util.Defines;
import it.mokabyte.eai.my.util.SimpleTrace;

// WS Axis static stub
import ws.axis.CalculatorServiceServiceLocator;
import ws.axis.CalculatorService;

 /**
  * <p>Title: MyBusinessDelegate </p>
  * <p>Description: Business Delegate Applicazione A</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public class CalculatorBdWSImpl implements CalculatorBusinessDelegate {

  /**
   * Constructor
   * @throws ServiceLocationException
   */
  public CalculatorBdWSImpl() {
    SimpleTrace.trace("MyBusinessDelegate::MyBusinessDelegate: ...");
  }

  /**
    * Usa le classi stub ottenuto dal tool WSDL2Java per invocare un WS AXIS
    * @return lunghezza della stringa ricevuta come parametro
    * @throws BusinessDelegateException
    */
  public int getLength(String param)throws BusinessDelegateException {
    try{
      SimpleTrace.trace("MyBusinessDelegate.getLengthByWsAxis: ["+param+"]...");
      java.net.URL endpoint = new java.net.URL(MyServiceLocator.getConfiguredAddress(Defines.SERVICE_WS_AXIS));
      SimpleTrace.trace("MyBusinessDelegate.getLengthByWsAxis: ENDPOINT ["+endpoint+"]...");
      CalculatorService calc=new CalculatorServiceServiceLocator().getMokaCalculatorService(endpoint);
      SimpleTrace.trace("MyBusinessDelegate.getLengthByWsAxis: CalculatorService["+calc+"]...");
      SimpleTrace.trace("MyBusinessDelegate.getLengthByWsAxis: CalculatorService class["+calc.getClass().getName()+"]...");
      return calc.getLength(param);
    }catch(javax.xml.rpc.ServiceException rpce){
      SimpleTrace.trace("MyBusinessDelegate.getLengthByWsAxis: " + rpce.getMessage() );
      rpce.printStackTrace();
      throw new BusinessDelegateException(rpce);
    }
    catch(Exception e){
      SimpleTrace.trace("MyBusinessDelegate.getLengthByWsAxis: " + e.getMessage() );
      e.printStackTrace();
      throw new BusinessDelegateException(e);
    }
  }


}