package it.mokabyte.eai.my.delegate.ws.dotnet;

import it.mokabyte.eai.my.delegate.CalculatorBusinessDelegate;
import it.mokabyte.eai.my.exception.BusinessDelegateException;
import it.mokabyte.eai.my.util.SimpleTrace;
import it.mokabyte.eai.my.locator.MyServiceLocator;
import it.mokabyte.eai.my.util.Defines;

// WS .NET/c# static stub
import ws.dotnet.CalculatorLocator;
import ws.dotnet.CalculatorSoap;
 /**
  * <p>Title: MyBusinessDelegate </p>
  * <p>Description: Business Delegate Applicazione A</p>
  * <p>Copyright: Copyright (c) 2003</p>
  * <p>Company: </p>
  * @author S. Rossini
  * @version 1.0
  */
public class CalculatorBdWSImpl implements CalculatorBusinessDelegate {

  /**
   * Constructor
   * @throws ServiceLocationException
   */
  public CalculatorBdWSImpl() {
    SimpleTrace.trace("MyBusinessDelegate::MyBusinessDelegate: ...");
  }

  /**
    * Usa le classi stub ottenuto dal tool WSDL2Java per invocare un WS AXIS
    * @return lunghezza della stringa ricevuta come parametro
    * @throws BusinessDelegateException
    */
  public int getLength(String param)throws BusinessDelegateException {
    try{
       /**
         * Usa le classi stub ottenuto dal tool WSDL2Java per invocare un WS .NET
         * @return lunghezza della stringa ricevuta come parametro
         * @throws BusinessDelegateException
         */
           SimpleTrace.trace("MyBusinessDelegate.getLengthByWsDotNet: [" + param +"]...");
           java.net.URL endpoint = new java.net.URL(MyServiceLocator.getConfiguredAddress(Defines.SERVICE_WS_DOTNET));
           SimpleTrace.trace("MyBusinessDelegate.getLengthByWsAxis: ENDPOINT ["+endpoint+"]...");
           CalculatorSoap calc = new CalculatorLocator().getCalculatorSoap();
           SimpleTrace.trace("MyBusinessDelegate.getLengthByWsDotNet: CalculatorService["+calc+"]...");
           SimpleTrace.trace("MyBusinessDelegate.getLengthByWsDotNet: CalculatorService class["+calc.getClass().getName()+"]...");
           return calc.getLength(param);
         }catch(javax.xml.rpc.ServiceException rpce){
           SimpleTrace.trace("MyBusinessDelegate.getLengthByWsDotNet: " + rpce.getMessage() );
           rpce.printStackTrace();
           throw new BusinessDelegateException(rpce);
         }catch(Exception e){
           SimpleTrace.trace("MyBusinessDelegate.getLengthByWsDotNet: " + e.getMessage() );
           e.printStackTrace();
           throw new BusinessDelegateException(e);
         }
       }
}