package it.mokabyte.eai.my.util;

import javax.naming.*;

import it.mokabyte.eai.my.config.ConfiguratorBean;
/**
 * <p>Title: PublicLibraries</p>
 * <p>Description: Classe di metodi statici di pubblica utilit</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author S: Rossini
 * @version 1.0
 */
public class PublicLibraries{

  public static void printContextProperties(Context jndiContext) throws NamingException {
     System.out.println("\n\t====================================================");
     System.out.println("\t============== Context initialized =================");
     System.out.println("\t====================================================\n");
     System.out.println("\tContext["+jndiContext+"]...");
     java.util.Hashtable ht = jndiContext.getEnvironment();
     System.out.println("\tHASH[" + ht + "]");
     java.util.Enumeration enum = ht.keys();
     while(enum.hasMoreElements()) {
          String str = (String)enum.nextElement();
          System.out.println("\t\t==>CTX Prop["+str + "]: value[" + ht.get(str)+"]");
    }
  }

  public static void diplayContextContent(Context ctx){

      System.out.println("\t*** Lista degli oggetti inseriti nel contesto: ***");

      try{
        javax.naming.NamingEnumeration listaOggetti = ctx.list(ctx.getNameInNamespace());

        while (listaOggetti.hasMore()) {
          javax.naming.NameClassPair nc = (javax.naming.NameClassPair)listaOggetti.next();
          System.out.println("\t==>" + nc);
        }
    }
    catch(Exception ne){
      System.out.println(ne.getMessage());
    }
    System.out.println("\n\t==================================================\n");
  }

  private static String mapLogicHostToConfiguredHost(String logicalHost){

    System.out.println("PublicLibraries.mapLogicHostToConfiguredHost: arrivato["+logicalHost+"]...");
    int begin = logicalHost.indexOf("//");
    String header=logicalHost.substring(0,begin+2);
    int end = logicalHost.indexOf(":",begin);
    String tailer=logicalHost.substring(end, logicalHost.length());
    String res= logicalHost.substring(begin+2, end);
    if(res.equalsIgnoreCase(ConfiguratorBean.HOST_A))
      res=new ConfiguratorBean().getHosta();
    else if(res.equalsIgnoreCase(ConfiguratorBean.HOST_B))
      res=new ConfiguratorBean().getHostb();
    else if(res.equalsIgnoreCase(ConfiguratorBean.HOST_C))
      res=new ConfiguratorBean().getHostc();
    else if(res.equalsIgnoreCase(ConfiguratorBean.HOST_D))
      res=new ConfiguratorBean().getHostd();
    else if(res.equalsIgnoreCase(ConfiguratorBean.HOST_E))
      res=new ConfiguratorBean().getHoste();
   else {
      System.out.println(" # WARNING # PublicLibraries.mapLogicHostToConfiguredHost: LOGICAL HOST["+res+"] # NOT MAPPED #...");
      res="localhost";
   }

   String ret=header+res+tailer;
   System.out.println("PublicLibraries.mapLogicHostToConfiguredHost: returning["+ret+"]...");
   return ret;
  }
}
