// file mainClient.cc
// Author: Alberto D'Angeli
//

#include <iostream>
#include <fstream>


#include <CORBA.h>
#include <coss/CosNaming.h>
#include "calcolatrice.h"


#include "CalculatorService.nsmap"
#include "soapH.h"
#include <string.h> 

using namespace std;

static CORBA::ORB_var orb;

int main(int argc, char* argv[])
{
    try {
        // Initialize the ORB.
       orb = CORBA::ORB_init(argc, argv);
    }
    catch(const CORBA::Exception& e) {
        cerr << e << endl;
        return 1;
    }

    soap_serve(soap_new());
}

// Implementation of the "add" remote method:
int impl__getLength(struct soap *soap, xsd__string arg, impl__getLengthResponse* out)
{
	
    fprintf(stderr, "getLength implementation called\n");

    try {

       CosNaming::NamingContext_var rootContext = CosNaming::NamingContext::_narrow(orb->resolve_initial_references("NameService"));

       CosNaming::Name name;
       name.length(2);
       name[0].id = (const char *) "eai";
       name[0].kind = (const char *) "";
       name[1].id = (const char *) "calcolatrice";
       name[1].kind = (const char *) "";

       CORBA::Object_var object = rootContext->resolve(name);

       // Locate a calcolatrice manager . Give the full POA name and the servant ID.
       eai::Calcolatrice_var manager =  eai::Calcolatrice::_narrow(object.in());
       CORBA::String_var msg = CORBA::string_dup(arg);
       out->_getLengthReturn  = manager->strlen_calc(msg.in());
       //cout << " Lunghezza di " << msg.in() << " = " << out->_getLengthReturn << endl;

    }
    catch(const CORBA::Exception& e) {
          cerr << e << endl;
          return 1;
    }

    //out->_getLengthReturn  = strlen(arg);
    return SOAP_OK;
}
